読者です 読者をやめる 読者になる 読者になる

ほわいとぼーど

ぷろぐらまのメモ帳

fabricをeasy_installでインストールする

fabric

前回@shiumachiさんの記事@ymotongpooさんの記事を読んだにも関わらず、
挫折してしまったと書いたのですが、
冷静に読み返すと@shiumachiさんはvirtualenvの話などしておらず、
easy_installを5分で使えるようになるということだったので
そのとおりにしてみたところ、あっさり問題なくfabric 1.8.1が手に入った。

sudo apt-get install python-distribute
sudo easy_install fabric
sudo easy_install jinja2

これだけ。前回書いたパスの設定とかも不要。

本日、elasticsearch-curatorを入れるのにpipが必要だったので
再度読み返したところサックリ解決したというもの。
お騒がせしましたという感じ。

一方、elasticsearch-curatorはインストールは出来たが、
実行時にバージョンチェックでエラーとなっており、
こちらは時間のある時に調べなければならない。
1つうまくいっても別なものがうまくいかないものです。